> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enhance transactions

>  

Use this endpoint to categorize, cleanse, and classify transactions. These transactions are not  persisted or stored on the MX platform. <br /><br />For more information on returned data, please  see the [Enhanced Transactions fields guide](/api-reference/platform-api/reference/transactions#enhanced-transactions).


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml POST /transactions/enhance
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /transactions/enhance:
    post:
      tags:
        - transactions
      summary: Enhance transactions
      description: >-
        Use this endpoint to categorize, cleanse, and classify transactions.
        These transactions are not  persisted or stored on the MX platform. <br
        /><br />For more information on returned data, please  see the [Enhanced
        Transactions fields
        guide](/api-reference/platform-api/reference/transactions-overview#enhanced-transactions).
      operationId: enhanceTransactions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnhanceTransactionsRequestBody'
        description: Transaction object to be enhanced
        required: true
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/EnhanceTransactionsResponseBody'
          description: OK
components:
  schemas:
    EnhanceTransactionsRequestBody:
      properties:
        transactions:
          items:
            $ref: '#/components/schemas/EnhanceTransactionsRequest'
          type: array
      type: object
    EnhanceTransactionsResponseBody:
      properties:
        transactions:
          items:
            $ref: '#/components/schemas/EnhanceTransactionResponse'
          type: array
      type: object
    EnhanceTransactionsRequest:
      properties:
        amount:
          example: 21.33
          type: number
        description:
          example: ubr* pending.uber.com
          type: string
        extended_transaction_type:
          example: partner_transaction_type
          type: string
        id:
          example: ID-123
          type: string
        memo:
          example: Additional-information*on_transaction
          type: string
        merchant_category_code:
          example: 4121
          type: integer
        type:
          example: DEBIT
          type: string
      required:
        - description
        - id
      type: object
    EnhanceTransactionResponse:
      properties:
        amount:
          example: 21.33
          nullable: true
          type: number
        categorized_by:
          example: 13
          nullable: true
          type: integer
        category:
          example: Rental Car & Taxi
          nullable: true
          type: string
        category_guid:
          example: CAT-9588eaad-90a4-bb5c-66c8-1812503d0db8
          nullable: true
          type: string
        described_by:
          example: 6
          nullable: true
          type: integer
        description:
          example: Uber
          nullable: true
          type: string
        extended_transaction_type:
          example: partner_transaction_type
          nullable: true
          type: string
        id:
          example: ID-123
          nullable: true
          type: string
        is_bill_pay:
          example: false
          nullable: true
          type: boolean
        is_direct_deposit:
          example: false
          nullable: true
          type: boolean
        is_expense:
          example: false
          nullable: true
          type: boolean
        is_fee:
          example: false
          nullable: true
          type: boolean
        is_income:
          example: false
          nullable: true
          type: boolean
        is_international:
          example: false
          nullable: true
          type: boolean
        is_overdraft_fee:
          example: false
          nullable: true
          type: boolean
        is_payroll_advance:
          example: false
          nullable: true
          type: boolean
        is_subscription:
          example: false
          nullable: true
          type: boolean
        memo:
          example: Additional-information*on_transaction
          nullable: true
          type: string
        merchant_category_code:
          example: 4121
          nullable: true
          type: integer
        merchant_guid:
          example: MCH-14f25b63-ef47-a38e-b2b6-d02b280b6e4e
          nullable: true
          type: string
        merchant_location_guid:
          example: MCL-00024e59-18b5-4d79-b879-2a7896726fea
          nullable: true
          type: string
        original_description:
          example: ubr* pending.uber.com
          nullable: true
          type: string
        type:
          example: DEBIT
          nullable: true
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````